--- linux-2.3.33/CREDITS	Sat Dec 18 18:40:07 1999
+++ linux/CREDITS	Sat Dec 18 18:46:54 1999
@@ -95,6 +95,11 @@
 S: Imola 40026
 S: Italy
 
+N: Martin Apel
+E: apel@tecmath.de
+D: Driver for Cybervision 64 graphics card (Amiga); 68040 MMU fixes
+S: Germany
+
 N: Derek Atkins
 E: warlord@MIT.EDU
 D: Linux-AFS Port, random kernel hacker,
@@ -130,7 +135,7 @@
 E: ralf@gnu.org
 P: 1024/AF7B30C1 CF 97 C2 CC 6D AE A7 FE  C8 BA 9C FC 88 DE 32 C3
 D: Linux/MIPS port
-D: Linux/68k hacker
+D: Linux/m68k hacker
 S: Hauptstrasse 19
 S: 79837 St. Blasien
 S: Germany
@@ -256,7 +261,7 @@
 E: philb@gnu.org
 D: Linux/ARM hacker
 D: Device driver hacker (eexpress, 3c505, c-qcam, ...)
-D: m68k port to HP9000/300
+D: Linux/m68k for HP 9000/300 series
 D: AUN network protocols
 D: Co-architect of the parallel port sharing system
 S: Nexus Electronics Ltd
@@ -324,6 +329,19 @@
 S: Lancaster, LA1 4DN
 S: UK, England
 
+N: Björn Brauel
+E: BjoernBrauel@wi2.maus.de
+D: Wrote IDE driver and fixed SCSI driver (Atari Falcon)
+D: Initial port to Medusa (m68k)
+S: Germany
+
+N: Lars Brinkhoff
+E: f93labr@dd.chalmers.se
+D: Wrote SCC driver (Atari)
+S: Emilsborg 1016
+S: 412 79 Goteborg
+S: Sweden
+
 N: Andries Brouwer
 E: aeb@cwi.nl
 D: random Linux hacker
@@ -333,7 +351,7 @@
 
 N: Ray Burr
 E: ryb@nightmare.com
-D: Original author of Amiga FFS filesystem
+D: Original author of affs (AmigaOS) filesystem
 S: Orlando, Florida
 S: USA
 
@@ -367,6 +385,13 @@
 S: Fremont, California 94539
 S: USA
 
+N: David Carter
+E: d.p.carter@ic.ac.uk
+D: Wrote Amiga and generic console code (m68k)
+S: 32a Champion Hill
+S: Camberwell, London
+S: UK
+
 N: Gordon Chaffee
 E: chaffee@cs.berkeley.edu
 W: http://bmrc.berkeley.edu/people/chaffee/
@@ -496,6 +521,11 @@
 S: K1N 6Z9
 S: CANADA
 
+N: Jörg Dorchain
+E: dorchain@mpi-sb.mpg.de
+D: MultiFaceCard III driver and MS-DOS floppy support (Amiga)
+S: Germany
+
 N: Eddie C. Dost
 E: ecd@skynet.be
 D: Linux/Sparc kernel hacker
@@ -584,6 +614,11 @@
 S: Huntington Beach, California 92649
 S: USA
 
+N: Torsten Ebeling
+E: t_ebelin@informatik.uni-kl.de
+D: A4000 IDE driver (Amiga)
+S: Germany
+
 N: Doug Evans
 E: dje@cygnus.com
 D: Wrote Xenix FS (part of standard kernel since 0.99.15)
@@ -668,6 +703,12 @@
 D: Dynamic PPP devices
 D: Sundry modularizations (PPP, IPX, ...) and fixes
 
+N: Dave Frascone
+E: chaos@mindspring.com
+W: http://www.mindspring.com/~chaos/
+D: Original Motorola VME 147 port (m68k)
+S: USA
+
 N: Bob Frey
 E: bobf@advansys.com
 D: AdvanSys SCSI driver
@@ -712,6 +753,12 @@
 S: New South Wales, 2121
 S: Australia
 
+N: Arno Griffioen
+E: arno@usn.nl
+D: VT terminal emulation for console (m68k)
+D: Support for ISA cards on Amiga with GoldenGate card
+S: The Netherlands
+
 N: Dmitry S. Gorodchanin
 E: pgmdsg@ibi.com
 D: RISCom/8 driver, misc kernel fixes.
@@ -886,6 +933,25 @@
 D: bug toaster (A1 sauce makes all the difference)
 D: Transmeta BOFH in my copius free time
 
+N: Richard Hirst
+E: richard@sleepie.demon.co.uk
+W: http://www.sleepie.demon.co.uk/linuxvme/index.html
+D: Linux/m68k port to various VMEbus boards (MVME 147/16x/17x, BVME 4/6000).
+D: 53c710 SCSI driver, Intel 82596 Ethernet driver.
+S: United Kingdom
+
+N: Roman Hodek
+E: Roman.Hodek@informatik.uni-erlangen.de
+P: 1024/E25A7BC9 6E 67 D0 5B 8F 45 C1 14  0B C3 22 CB F4 B2 8B 54
+D: Helped start Atari port, general Linux/m68k hacker
+D: Many Atari drivers: keyboard, console, floppy, SCSI, ACSI, SLM, Ethernet...
+D: Serial driver abstraction and Atari low levels, co-developer of framebuffer
+D: Medusa and Motorola 68060 support
+D: Maintainer of primary Linux/m68k FTP site at ftp.uni-erlangen.de
+S: Lange Zeile 126
+S: D-91054 Erlangen
+S: Germany
+
 N: Dirk Hohndel
 E: hohndel@suse.de
 D: The XFree86[tm] Project
@@ -1033,6 +1099,13 @@
 S: Mid Glamorgan, CF82 8EJ,
 S: Wales, United Kingdom
 
+N: Joshua Juran                                         
+E: wanderer@metamage.com
+D: Debugged Mac Toolbox code in Penguin bootloader
+S: 602 Farm Pond Lane
+S: Rockville, Maryland 20852
+S: USA
+
 N: Bernhard Kaindl
 E: bkaindl@netway.at
 E: edv@bartelt.via.at
@@ -1065,6 +1138,16 @@
 S: 602 00 Brno
 S: Czech Republic
 
+N: Topi Kanerva
+E: topi@susanna.oulu.fi
+D: Driver for the Hydra Amiganet ethernet board
+
+N: Guenther Kelleter
+E: guenther@pool.informatik.rwth-aachen.de
+E: GuentherKelleter@ac3.maus.de (No mails >16K please)
+D: Framebuffer concept; Atari Falcon framebuffer and sound drivers (m68k)
+S: Germany
+
 N: Fred N. van Kempen
 E: waltje@linux.com
 D: NET-2
@@ -1082,6 +1165,16 @@
 S: D-64283 Darmstadt
 S: Germany
 
+N: David D. Kilzer
+E: ddkilzer@earthlink.net
+E: ddkilzer@computer.org
+E: ddkilzer@yahoo.com
+D: Linux/m68k for Macintosh diff maintainer for late 2.1.x and beyond
+D: Elitist m68k user
+S: 4350 Trinity Mills Rd Apt 10103
+S: Dallas, Texas 75287-7020
+S: USA
+
 N: Russell King
 E: rmk@arm.uk.linux.org
 D: Linux/arm integrator, maintainer & hacker
@@ -1221,12 +1314,26 @@
 D: Author of the dialog utility, foundation
 D: for Menuconfig's lxdialog.
 
+N: Hartmut Laue
+E: laue@ifk-mp.uni-kiel.de
+D: BioNet 100 driver (Atari)
+S: Germany
+
+N: Chris Lawrence
+E: webmaster@linux-m68k.org
+P: 1024/2BF083A9 E0 35 78 D7 51 94 1A F7  E8 DB 87 06 37 19 39 63
+P: 1024/A3D7B9BC CAC6 2545 1356 4ED7 5070  19B3 DB04 0A13 A3D7 B9BC
+W: http://www.lordsutch.com/
+D: Maintainer of the Linux/m68k Home Pages and FAQ
+S: P.O. Box 2262
+S: Oxford, Mississippi 38655-7262
+S: USA
+
 N: Tom Lees
 E: tom@lpsg.demon.co.uk
 W: http://www.lpsg.demon.co.uk/
 P: 1024/87D4D065 2A 66 86 9D 02 4D A6 1E  B8 A2 17 9D 4F 9B 89 D6
-D: Original author and current maintainer of
-D: PnP code.
+D: Original author and current maintainer of PnP code.
 
 N: David van Leeuwen
 E: david@tm.tno.nl
@@ -1323,10 +1430,10 @@
 
 N: Hamish Macdonald
 E: hamishm@lucent.com
-D: Linux/68k port
+D: Started Linux/m68k port (with Greg Harp)
 S: 32 Clydesdale Avenue
 S: Kanata, Ontario
-S: Canada K2M-2G7
+S: Canada K2M 2G7
 
 N: Peter MacDonald
 D: SLS distribution
@@ -1380,6 +1487,10 @@
 S: 182 00 Praha 8
 S: Czech Republic 
 
+N: Michael Marte
+E: marte@informatik.uni-muenchen.de
+D: Atari DMA sound driver
+
 N: John A. Martin
 E: jam@acm.org
 W: http://www.tux.org/~jam/
@@ -1397,6 +1508,13 @@
 D: XF86_8514
 D: cfdisk (curses based disk partitioning program)
 
+N: Jörg Mayer
+E: jmayer@telemation.de
+P: 1022/FB2461E1 1C 69 D0 E0 10 88 1F 80  41 68 25 DD DA 3C 71 B4
+W: http://www-agrw.informatik.uni-kl.de/~jmayer/
+D: Author and first maintainer of Linux/m68k FAQ
+S: Germany
+
 N: Mike McLagan
 E: mike.mclagan@linux.org
 W: http://www.invlogic.com/~mmclagan
@@ -1552,6 +1670,11 @@
 S: 10000 Zagreb
 S: Croatia
 
+N: Torsten Narjes
+E: narjes@ifk-mp.uni-kiel.de
+D: BioNet 100 driver (Atari)
+S: Germany
+
 N: Jonathan Naylor
 E: g4klx@g4klx.demon.co.uk
 E: g4klx@amsat.org
@@ -1585,6 +1708,15 @@
 S: 55127 Mainz
 S: Germany
 
+N: Frank Neumann
+E: Frank.Neumann@informatik.uni-oldenburg.de
+P: 1024/1678B451 7F A3 71 D4 17 4E DE D3  02 3F 0C B7 FA EB 16 54
+W: http://www.informatik.uni-oldenburg.de/~amigo/
+D: Co-author of the "Linux/m68k installation guide" (with Ingo Wilken)
+D: Debian/m68k project
+D: Amiga Cirrus Logic-based video card support
+S: Germany
+
 N: David C. Niemi
 E: niemi@tux.org
 W: http://www.tux.org/~niemi/
@@ -1608,6 +1740,14 @@
 E: gpage@sovereign.org
 D: IPX development and support
 
+N: Rob Pelkey
+E: rpelkey@bates.edu
+W: http://rpelkey.bates.edu/
+D: Started Linux/m68k for Macintosh project
+S: 455 Bates College
+S: Lewiston, ME 04240
+S: USA
+
 N: David Parsons
 E: orc@pell.chi.il.us
 D: improved memory detection code.
@@ -1693,6 +1833,11 @@
 S: 13349 Berlin
 S: Germany
 
+N: Pekka Pietikäinen
+E: pp@netppl.fi
+D: Coordinator for Sun 3 port (m68k)
+S: Finland
+
 N: Ken Pizzini
 E: ken@halcyon.com
 D: CDROM driver "sonycd535" (Sony CDU-535/531)
@@ -1849,6 +1994,13 @@
 S: 00980 Helsinki
 S: Finland
 
+N: Martin Schaller
+E: MartinSchaller@r.maus.de
+D: First framebuffer concept for m68k and implementation for Atari TT
+D: First port of XFree86 to Linux/m68k
+D: Atari MIDI driver
+S: Germany
+
 N: Eric Schenk
 E: Eric.Schenk@dna.lth.se
 D: Random kernel debugging.
@@ -1868,9 +2020,15 @@
 E:
 D: Macintosh IDE Driver
 
+N: Torsten Scherer
+E: itschere@TechFak.Uni-Bielefeld.DE
+D: Atari sound driver
+S: Germany
+
 N: Peter De Schrijver
-E: stud11@cc4.kuleuven.ac.be
+E: Peter.DeSchrijver@linux.cc.kuleuven.ac.be
 D: Mitsumi CD-ROM driver patches March version
+D: Coordinator for Apollo DN-series port (m68k)
 S: Molenbaan 29
 S: B2240 Zandhoven
 S: Belgium
@@ -1885,6 +2043,16 @@
 S: Oldenburg
 S: Germany
 
+N: Andreas Schwab
+E: schwab@issan.informatik.uni-dortmund.de
+P: 1024/38D7B941 36 84 33 4E 49 62 FA 15  BF 67 79 A5 3B 30 D7 CA
+D: Atari TT port
+D: Generalized non-autovector interrupt support and multiple consoles (m68k)
+D: Minix V2 filesystem (fixes for compatibility with MiNT)
+D: General ELF/m68k support
+D: Primary m68k libc/glibc developer
+S: Germany
+
 N: Darren Senn
 E: sinster@darkwater.com
 D: Whatever I notice needs doing (so far: itimers, /proc)
@@ -1913,7 +2081,7 @@
 E: john@geolog.com
 E: jshiffle@netcom.com
 D: Always IN2000 SCSI driver
-D: wd33c93 SCSI driver (linux-m68k)
+D: wd33c93 SCSI driver (Amiga)
 S: San Jose, California
 S: USA
 
@@ -1967,6 +2135,16 @@
 S: Batavia, Illinois 60510
 S: USA
 
+N: Jes Degn Sørensen
+E: Jes.Sorensen@cern.ch
+E: jds@kom.auc.dk
+P: 1024/CCB4D9F5 FF 5D E4 4E A0 A1 C8 5F  AD A3 9C E7 8A EE 90 4D
+W: http://www.kom.auc.dk/~jds/
+D: Drivers for the GVP IO-Extender and Retina Z3 framebuffer (Amiga)
+D: Linux/m68k coordinator for 1.3 and beyond
+D: Amiga PowerUP Systems (APUS) support (PowerPC)
+S: Denmark
+
 N: Leo Spiekman
 E: leo@netlabs.net
 W: http://www.netlabs.net/hp/leo/
@@ -2177,6 +2355,7 @@
 E: geert@linux-m68k.org
 W: http://www.cs.kuleuven.ac.be/~geert/
 P: 1024/EC4A1EE1 8B 88 38 35 88 1E 95 A1  CD 9E AE DC 4B 4A 2F 41
+D: Drivers for the Ariadne and A2065 Ethernet boards (Amiga)
 D: m68k/Amiga and PPC/CHRP Longtrail coordinator
 D: Frame buffer device and XF68_FBDev maintainer
 D: m68k IDE maintainer
@@ -2253,6 +2432,14 @@
 S: S-903 37  UMEA
 S: Sweden
 
+N: David Weis
+E: djweis@plconline.com
+D: Wrote skeleton mac53c9[46] driver
+D: Wrote MCA 8013 driver
+S: 4544 E.P. True Parkway, #206
+S: West Des Moines, IA 50265
+S: USA
+
 N: Matt Welsh
 E: mdw@metalab.unc.edu
 W: http://www.cs.berkeley.edu/~mdw
@@ -2291,7 +2478,7 @@
 
 N: Hans-Joachim Widmaier
 E: hjw@zvw.de
-D: AFFS rewrite
+D: Rewrote affs (AmigaOS filesystem); current affs maintainer
 S: Eichenweg 16
 S: 73650 Winterbach
 S: Germany
@@ -2303,7 +2490,7 @@
 S: 2135 CN Hoofddorp
 S: The Netherlands
 
-N: G\"unter Windau
+N: Günter Windau
 E: gunter@mbfys.kun.nl
 D: Some bug fixes in the polling printer driver (lp.c)
 S: University of Nijmegen
@@ -2413,6 +2600,14 @@
 D: CDROM driver "aztcd" (Aztech/Okano/Orchid/Wearnes)
 S: Flandernstrasse 101
 S: D-73732 Esslingen
+S: Germany
+
+N: Roman Zippel
+E: zippel@fh-brandenburg.de
+D: General Linux/m68k hacker
+D: Final OCS/ECS/AGA framebuffer support (Amiga)
+D: Amiga PowerUP Systems (APUS) support (PowerPC)
+D: Rewrite of m68k FPU emulation under GPL-friendly license
 S: Germany
 
 N: Leonard N. Zubkoff
